Skip to content

Duplicate Canvases using the API

post

/canvas/duplicate

Use this endpoint to duplicate Canvases. This API endpoint is similar to duplicating Canvases in the Braze dashboard.

Prerequisites

To use this endpoint, you must generate an API key with the canvas.duplicate permission.

Rate limit

This endpoint is limited to 100 API calls per minute.

Request body

1
2
Content-Type: application/json
Authorization: Bearer YOUR-REST-API-KEY
1
2
3
4
5
6
{
  "canvas_id": (required, string) The Canvas identifier,
  "name": (required, string) The name of the resulting Canvas,
  "description": (optional, string) The description of the resulting Canvas,
  "tag_names": (optional, string) The tags of the resulting Canvas,
}

Request parameters

Parameter Required Data Type Description
canvas_id Required String See Canvas identifier.
name Required String The name of the resulting Canvas.
description Optional String The description field for the resulting Canvas.
tag_names Optional String The tags for the resulting Canvas. These must be existing tags. If you add new tags in the request, they will overwrite any tags that were on the original Canvas.

Response

This endpoint will return a 202 status code, and the Canvas creation will occur asynchronously. You can use the Security event download to see records of when Canvases were duplicated and by which API key.

New Stuff!